summaryrefslogtreecommitdiffstats
path: root/libraries/ftgl
diff options
context:
space:
mode:
author Niklas Nille Åkerström <nille_kungen[AT]hotmail.com>2010-05-11 22:53:59 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:59 +0200
commitb59896866f279e6f536a95f7b8c7b53d4bf4abf6 (patch)
treea141cfdc11b2427cb5eeab2c55675d96f96f71cd /libraries/ftgl
parentcde6e7e7d1135f42f2c80dcc73f973c99070024b (diff)
downloadslackbuilds-b59896866f279e6f536a95f7b8c7b53d4bf4abf6.tar.gz
slackbuilds-b59896866f279e6f536a95f7b8c7b53d4bf4abf6.tar.xz
libraries/ftgl: Added to 12.1 repository
Diffstat (limited to 'libraries/ftgl')
-rw-r--r--libraries/ftgl/README10
-rw-r--r--libraries/ftgl/ftgl.SlackBuild79
-rw-r--r--libraries/ftgl/ftgl.info8
-rw-r--r--libraries/ftgl/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/libraries/ftgl/README b/libraries/ftgl/README
new file mode 100644
index 0000000000..38ead6cc5e
--- /dev/null
+++ b/libraries/ftgl/README
@@ -0,0 +1,10 @@
+FTGL is a font rendering library for OpenGL applications.
+
+FTGL is a free, open source library to enable developers to use
+arbitrary fonts in their OpenGL (www.opengl.org) applications.
+Unlike other OpenGL font libraries FTGL uses standard font file
+formats so doesn't need a preprocessing step to convert the high
+quality font data into a lesser quality, proprietary format.
+FTGL uses the Freetype (www.freetype.org) font library to open and
+'decode' the fonts. It then takes that output and stores it in a
+format most efficient for OpenGL rendering.
diff --git a/libraries/ftgl/ftgl.SlackBuild b/libraries/ftgl/ftgl.SlackBuild
new file mode 100644
index 0000000000..314fcda2a7
--- /dev/null
+++ b/libraries/ftgl/ftgl.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for ftgl
+#
+# Copyright 2007 Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ftgl
+VERSION=${VERSION:-2.1.3_rc5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$(echo $VERSION | tr _ \~)
+tar xvf $CWD/$PRGNAM-$(echo $VERSION | tr _ -).tar.bz2
+cd $PRGNAM-$(echo $VERSION | tr _ \~)
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc
+
+make
+make install-strip DESTDIR=$PKG
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/ftgl/ftgl.info b/libraries/ftgl/ftgl.info
new file mode 100644
index 0000000000..0d59d3ebf6
--- /dev/null
+++ b/libraries/ftgl/ftgl.info
@@ -0,0 +1,8 @@
+PRGNAM="ftgl"
+VERSION="2.1.3_rc5"
+HOMEPAGE="http://ftgl.wiki.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/ftgl/ftgl-2.1.3-rc5.tar.bz2"
+MD5SUM="c7879018cde844059495b3029b0b6503"
+MAINTAINER="Niklas "Nille" Åkerström"
+EMAIL="nille_kungen[AT]hotmail.com"
+APPROVED="David Somero"
diff --git a/libraries/ftgl/slack-desc b/libraries/ftgl/slack-desc
new file mode 100644
index 0000000000..93c4bb6117
--- /dev/null
+++ b/libraries/ftgl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+ftgl: FTGL (font rendering library for OpenGL applications)
+ftgl:
+ftgl: FTGL is a free, open source library to enable developers to use
+ftgl: arbitrary fonts in their OpenGL (www.opengl.org) applications.
+ftgl: Unlike other OpenGL font libraries FTGL uses standard font file
+ftgl: formats so doesn't need a preprocessing step to convert the high
+ftgl: quality font data into a lesser quality, proprietary format.
+ftgl: FTGL uses the Freetype (www.freetype.org) font library to open and
+ftgl: 'decode' the fonts. It then takes that output and stores it in a
+ftgl: format most efficient for OpenGL rendering.
+ftgl: Homepage: http://ftgl.wiki.sourceforge.net/